<template>
    <div>
        <div class="container">
            <table>
                <thead>
                    <tr>
                        <th>Артикул</th>
                        <th>Дата</th>
                        <th>Название</th>
                        <th>Цена</th>
                        <th>Количество</th>
                        <th>Сумма</th>
                        <th>Опций</th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-bind:key="good.id" v-for="good in goods" 
                        v-on:del-good="$emit('del-good',good)">
                        <td>{{good.id}}</td>
                        <td>{{good.date}}</td>
                        <td>{{good.name}}</td>
                        <td>{{good.price}}</td>
                        <td>{{good.amount}}</td>
                        <td>{{good.sum}}</td>
                        <td><input type="submit" value="Удалить" 
                            @click="$emit('del-good',good.id)"/></td>
                        <td><input type="submit" value="Изменить" 
                            @click="$emit('edit-good',good)"/></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>

<script>
export default {
    name : 'Goods',
    props: ["goods"]
}
</script>

<style scoped>
    .addSection {
        position: absolute;
        right: 100px;
        top: 50px;
        width: 1200px;
        height: 50px;
        padding: 10px;
    }

    .addSection button{
        background-color: #4CAF50; /* Green */
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
    }

    
    .container {
        position: absolute;
        width: 800px;
        height: 800px;
        right: 100px;
        top: 50px;
    }
    .container table{
        font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        width: 100%;
    }

    .container table td, table th{
         border: 1px solid #ddd;
         padding: 8px;
    }

    table tr:nth-child(even){background-color: #f2f2f2;}

    table tr:hover {background-color: #ddd;}

    th {
        padding-top: 12px;
        padding-bottom: 12px;
        text-align: left;
        background-color: #2EBC99;
        color: white;
    }
</style>

